﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace DisableCells
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        BindingList<Item> items;
        public Window1()
        {
            InitializeComponent();
            Loaded+=new RoutedEventHandler(Window1_Loaded);
            
        }

        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
            items = new BindingList<Item>()
            {
                new Item(),
                new Item(),
                new Item(),
                new Item(),
                new Item(),
                new Item(),
                new Item(),
                new Item(),
                new Item(),
                new Item(),
            };
            xamDataGrid1.DataSource = items;
        }

        private void btnDisable_Click(object sender, RoutedEventArgs e)
        {
            DataRecord first = xamDataGrid1.Records[0] as DataRecord;
            for (int i = 1; i < 7; i++)
            {
                CellValuePresenter presenter = CellValuePresenter.FromCell(first.Cells[i]);
                presenter.IsEnabled = false;
            }
        }

        private void btnEnable_Click(object sender, RoutedEventArgs e)
        {
            DataRecord first = xamDataGrid1.Records[0] as DataRecord;
            for (int i = 1; i < 7; i++)
            {
                CellValuePresenter presenter = CellValuePresenter.FromCell(first.Cells[i]);
                presenter.IsEnabled = true;
            }
        }
    }
}
